#!/bin/sh
# start Transient Name Server

# Usage: PersistentNameServer.sh [repostory_file]
# 
#  CosNaming port number and host name are defind in CWSharedEnv.sh
# Example:
#     PersistentNameServer.sh 
# or
#     PersistentNameServer.sh  /home/houxq/IBM/WebSphereICS/CxCosNameRepos.ior
# 

# call the shared env file to set the ORB properties
# this will be replaced by SED script at install time.
. VAR_CWHOME/bin/CWSharedEnv.sh

FILE=$1
# If the Repository file is not passed in, the default file name is CxCosNameRepos.ior
if [ -z "$FILE" ];then
	FILE=${CROSSWORLDS}/CxCosNameRepos.ior
fi


if [ -f "$FILE" ];then
# load registered Objects from repository to naming server 
exec ${JAVA} -classpath ${CWCLASSES} CxCommon.CorbaServices.CxCosNameServerService -F"${FILE}" &
fi

COS_NAME_HOOK=-Dorg.omg.PortableInterceptor.ORBInitializerClass.CxCommon.CorbaServices.NamingSvrListenerInitializer=""
export COS_NAME_HOOK

# start tname server
exec ${JAVA} ${COS_NAME_HOOK} -classpath ${CWCLASSES} com.ibm.CosNaming.TransientNameServer -ORBInitialPort ${ORB_PORT} 
echo "The Transient Name Server Process Id is $!"
